<details class="rui-collapsible-list-item">
  <!-- Use a "rui-list-item" for a better header. -->
  <summary class="rui-collapsible-list-item__title">
    <!-- This should be the trigger to expand the content -->
    <span class="rui-collapsible-list-item__title__caption">
      Caption (this is a flexible area)
    </span>

    <!-- Optional actions -->
    <span class="rui-collapsible-list-item__title__actions">
      <span class="rui-toolbar">
        <button>Action 1</button>
        <button>Action 2</button>
      </span>
    </span>
  </summary>

  <div class="rui-collapsible-list-item__content">
    Content here
  </div>
</details>
